package com.platform.modules.live.aspect;

import com.baomidou.mybatisplus.service.IService;
import com.platform.modules.live.service.LiveSceneService;

import java.lang.annotation.*;

/**
 * @author TONG
 * 2019/11/14 14:13
 **/
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface LiveTenant {

    String value() default "id";
    Class<? extends IService> tenantTableClazz() default LiveSceneService.class;
    String method() default "selectById";
}
